<template>
    <!-- 弹出框表单 -->
    <el-dialog :title="title" :visible.sync="open" width="90%" append-to-body>
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="分组id" prop="groupId" v-model="form.groupId" placeholder="请输入分组id"/>
                            <Field label="分组名称" prop="groupName" v-model="form.groupName" placeholder="请输入分组名称"/>
                            <Field label="职位编码" prop="positionCode" v-model="form.positionCode" placeholder="请输入职位编码"/>
                            <Field label="职位名称" prop="positionName" v-model="form.positionName" placeholder="请输入职位名称"/>
                            <Field label="节点类型" prop="type" v-model="form.type" type="select" :enumData="dict.type" placeholder="请选择节点类型"/>
                            <Field label="备注" prop="remark" v-model="form.remark" type="textarea" placeholder="请输入备注"/>

            </el-row>

        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button type="primary" v-if="pageInfo.type !== 'view'" @click="submitForm">确 定</el-button>
            <el-button @click="cancel">取 消</el-button>
        </div>
    </el-dialog>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    import dialogShow from "./dialogshow";
    export default {
        mixins: [form],
        components: {
            dialogShow ,
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "职位信息",
                // 是否显示弹出层
                open: false,
                toString:[
                    "type",
                ],
                // 表单校验
                rules: {
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="position/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改职位信息";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "position/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增职位信息";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="position/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "职位信息详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    groupId : null,
                    groupName : "",
                    positionCode : "",
                    positionName : "",
                    type : 1,
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
